﻿@*
    For more information on enabling MVC for empty projects, visit https://go.microsoft.com/fwlink/?LinkID=397860
*@
@{
}

<input type="text" id="testmsg"/>

<button id="demoMQ" type="submit">
    Submit
</button>

<div class="card">
    <div class="card-header">

    </div>

    <div class="card-body" id="mqResponse">

    </div>
</div>


<script>

    function sendRequestAjax() {
        $.ajax({
            type: "POST",
            data: $("#testmsg"),
            url: "api/rabbit/request",
            contentType: "application/text",
            Accept: "application/json, application/text, application/geo+json, application/gpx+xml, img/png; charset=utf-8"
        }).done(function (data) {
            $("#mqResponse").html(data);
        }).fail(function (e) { console.log(e); });
    }

    function WaitResponseAjax() {
        $.ajax({
            type: "POST",
            data: $("#testmsg"),
            url: "api/rabbit/response",
            contentType: "application/text",
            Accept: "application/json, application/text, application/geo+json, application/gpx+xml, img/png; charset=utf-8"
        }).done(function (data) {
            $("#mqResponse").html(data);
        }).fail(function (e) { console.log(e); });
    }

    $(document).ready(function () {
        $(document).("click", "#testmsg", function () {
            sendRequestAjax();
        });
    });
</script>